<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.UrValidShowDataMapper">
    
    <resultMap type="com.ruoyi.system.domain.UrValidShowData" id="UrValidShowDataResult">
        <result property="id"    column="id"    />
        <result property="year"    column="year"    />
        <result property="code"    column="code"    />
        <result property="regionName"    column="region_name"    />
        <result property="type"    column="type"    />
        <result property="v1"    column="v1"    />
        <result property="v2"    column="v2"    />
        <result property="v3"    column="v3"    />
        <result property="v4"    column="v4"    />
        <result property="v5"    column="v5"    />
        <result property="v6"    column="v6"    />
        <result property="v7"    column="v7"    />
        <result property="v8"    column="v8"    />
        <result property="v9"    column="v9"    />
        <result property="v10"    column="v10"    />
        <result property="v11"    column="v11"    />
        <result property="v12"    column="v12"    />
        <result property="v13"    column="v13"    />
        <result property="v14"    column="v14"    />
        <result property="v15"    column="v15"    />
        <result property="v16"    column="v16"    />
        <result property="v17"    column="v17"    />
        <result property="v18"    column="v18"    />
        <result property="v19"    column="v19"    />
        <result property="v20"    column="v20"    />
        <result property="v21"    column="v21"    />
        <result property="v22"    column="v22"    />
        <result property="v23"    column="v23"    />
        <result property="v24"    column="v24"    />
        <result property="v25"    column="v25"    />
        <result property="v26"    column="v26"    />
        <result property="v27"    column="v27"    />
        <result property="v28"    column="v28"    />
        <result property="v29"    column="v29"    />
        <result property="v30"    column="v30"    />
        <result property="v31"    column="v31"    />
        <result property="v32"    column="v32"    />
        <result property="v33"    column="v33"    />
        <result property="v34"    column="v34"    />
        <result property="v35"    column="v35"    />
        <result property="v36"    column="v36"    />
        <result property="v37"    column="v37"    />
        <result property="v38"    column="v38"    />
        <result property="v39"    column="v39"    />
        <result property="v40"    column="v40"    />
        <result property="v41"    column="v41"    />
        <result property="v42"    column="v42"    />
        <result property="v43"    column="v43"    />
        <result property="v44"    column="v44"    />
        <result property="v45"    column="v45"    />
        <result property="v46"    column="v46"    />
        <result property="v47"    column="v47"    />
        <result property="v48"    column="v48"    />
        <result property="v49"    column="v49"    />
        <result property="v50"    column="v50"    />
        <result property="v51"    column="v51"    />
        <result property="v52"    column="v52"    />
        <result property="v53"    column="v53"    />
        <result property="v54"    column="v54"    />
        <result property="v55"    column="v55"    />
        <result property="v56"    column="v56"    />
        <result property="v57"    column="v57"    />
        <result property="v58"    column="v58"    />
        <result property="v59"    column="v59"    />
        <result property="v60"    column="v60"    />
    </resultMap>

    <sql id="selectUrValidShowDataVo">
        select id, year, code, region_name, type, v1, v2, v3, v4, v5, v6, v7, v8, v9, v10, v11, v12, v13, v14, v15, v16, v17, v18, v19, v20, v21, v22, v23, v24, v25, v26, v27, v28, v29, v30, v31, v32, v33, v34, v35, v36, v37, v38, v39, v40, v41, v42, v43, v44, v45, v46, v47, v48, v49, v50, v51, v52, v53, v54, v55, v56, v57, v58, v59, v60 from ur_valid_show_data
    </sql>

    <select id="selectUrValidShowDataList" parameterType="com.ruoyi.system.domain.UrValidShowData" resultMap="UrValidShowDataResult">
        <include refid="selectUrValidShowDataVo"/>
        <where>  
            <if test="year != null  and year != ''"> and year = #{year}</if>
            <if test="code != null  and code != ''"> and code = #{code}</if>
            <if test="regionName != null  and regionName != ''"> and region_name = #{regionName}</if>
            <if test="type != null  and type != ''"> and type = #{type}</if>
            <if test="v1 != null  and v1 != ''"> and v1 = #{v1}</if>
            <if test="v2 != null  and v2 != ''"> and v2 = #{v2}</if>
            <if test="v3 != null  and v3 != ''"> and v3 = #{v3}</if>
            <if test="v4 != null  and v4 != ''"> and v4 = #{v4}</if>
            <if test="v5 != null  and v5 != ''"> and v5 = #{v5}</if>
            <if test="v6 != null  and v6 != ''"> and v6 = #{v6}</if>
            <if test="v7 != null  and v7 != ''"> and v7 = #{v7}</if>
            <if test="v8 != null  and v8 != ''"> and v8 = #{v8}</if>
            <if test="v9 != null  and v9 != ''"> and v9 = #{v9}</if>
            <if test="v10 != null  and v10 != ''"> and v10 = #{v10}</if>
            <if test="v11 != null  and v11 != ''"> and v11 = #{v11}</if>
            <if test="v12 != null  and v12 != ''"> and v12 = #{v12}</if>
            <if test="v13 != null  and v13 != ''"> and v13 = #{v13}</if>
            <if test="v14 != null  and v14 != ''"> and v14 = #{v14}</if>
            <if test="v15 != null  and v15 != ''"> and v15 = #{v15}</if>
            <if test="v16 != null  and v16 != ''"> and v16 = #{v16}</if>
            <if test="v17 != null  and v17 != ''"> and v17 = #{v17}</if>
            <if test="v18 != null  and v18 != ''"> and v18 = #{v18}</if>
            <if test="v19 != null  and v19 != ''"> and v19 = #{v19}</if>
            <if test="v20 != null  and v20 != ''"> and v20 = #{v20}</if>
            <if test="v21 != null  and v21 != ''"> and v21 = #{v21}</if>
            <if test="v22 != null  and v22 != ''"> and v22 = #{v22}</if>
            <if test="v23 != null  and v23 != ''"> and v23 = #{v23}</if>
            <if test="v24 != null  and v24 != ''"> and v24 = #{v24}</if>
            <if test="v25 != null  and v25 != ''"> and v25 = #{v25}</if>
            <if test="v26 != null  and v26 != ''"> and v26 = #{v26}</if>
            <if test="v27 != null  and v27 != ''"> and v27 = #{v27}</if>
            <if test="v28 != null  and v28 != ''"> and v28 = #{v28}</if>
            <if test="v29 != null  and v29 != ''"> and v29 = #{v29}</if>
            <if test="v30 != null  and v30 != ''"> and v30 = #{v30}</if>
            <if test="v31 != null  and v31 != ''"> and v31 = #{v31}</if>
            <if test="v32 != null  and v32 != ''"> and v32 = #{v32}</if>
            <if test="v33 != null  and v33 != ''"> and v33 = #{v33}</if>
            <if test="v34 != null  and v34 != ''"> and v34 = #{v34}</if>
            <if test="v35 != null  and v35 != ''"> and v35 = #{v35}</if>
            <if test="v36 != null  and v36 != ''"> and v36 = #{v36}</if>
            <if test="v37 != null  and v37 != ''"> and v37 = #{v37}</if>
            <if test="v38 != null  and v38 != ''"> and v38 = #{v38}</if>
            <if test="v39 != null  and v39 != ''"> and v39 = #{v39}</if>
            <if test="v40 != null  and v40 != ''"> and v40 = #{v40}</if>
            <if test="v41 != null  and v41 != ''"> and v41 = #{v41}</if>
            <if test="v42 != null  and v42 != ''"> and v42 = #{v42}</if>
            <if test="v43 != null  and v43 != ''"> and v43 = #{v43}</if>
            <if test="v44 != null  and v44 != ''"> and v44 = #{v44}</if>
            <if test="v45 != null  and v45 != ''"> and v45 = #{v45}</if>
            <if test="v46 != null  and v46 != ''"> and v46 = #{v46}</if>
            <if test="v47 != null  and v47 != ''"> and v47 = #{v47}</if>
            <if test="v48 != null  and v48 != ''"> and v48 = #{v48}</if>
            <if test="v49 != null  and v49 != ''"> and v49 = #{v49}</if>
            <if test="v50 != null  and v50 != ''"> and v50 = #{v50}</if>
            <if test="v51 != null  and v51 != ''"> and v51 = #{v51}</if>
            <if test="v52 != null  and v52 != ''"> and v52 = #{v52}</if>
            <if test="v53 != null  and v53 != ''"> and v53 = #{v53}</if>
            <if test="v54 != null  and v54 != ''"> and v54 = #{v54}</if>
            <if test="v55 != null  and v55 != ''"> and v55 = #{v55}</if>
            <if test="v56 != null  and v56 != ''"> and v56 = #{v56}</if>
            <if test="v57 != null  and v57 != ''"> and v57 = #{v57}</if>
            <if test="v58 != null  and v58 != ''"> and v58 = #{v58}</if>
            <if test="v59 != null  and v59 != ''"> and v59 = #{v59}</if>
            <if test="v60 != null  and v60 != ''"> and v60 = #{v60}</if>
        </where>
    </select>
    
    <select id="selectUrValidShowDataById" parameterType="java.lang.Long" resultMap="UrValidShowDataResult">
        <include refid="selectUrValidShowDataVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertUrValidShowData" parameterType="com.ruoyi.system.domain.UrValidShowData" useGeneratedKeys="true" keyProperty="id">
        insert into ur_valid_show_data
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="year != null">year,</if>
            <if test="code != null">code,</if>
            <if test="regionName != null">region_name,</if>
            <if test="type != null">type,</if>
            <if test="v1 != null">v1,</if>
            <if test="v2 != null">v2,</if>
            <if test="v3 != null">v3,</if>
            <if test="v4 != null">v4,</if>
            <if test="v5 != null">v5,</if>
            <if test="v6 != null">v6,</if>
            <if test="v7 != null">v7,</if>
            <if test="v8 != null">v8,</if>
            <if test="v9 != null">v9,</if>
            <if test="v10 != null">v10,</if>
            <if test="v11 != null">v11,</if>
            <if test="v12 != null">v12,</if>
            <if test="v13 != null">v13,</if>
            <if test="v14 != null">v14,</if>
            <if test="v15 != null">v15,</if>
            <if test="v16 != null">v16,</if>
            <if test="v17 != null">v17,</if>
            <if test="v18 != null">v18,</if>
            <if test="v19 != null">v19,</if>
            <if test="v20 != null">v20,</if>
            <if test="v21 != null">v21,</if>
            <if test="v22 != null">v22,</if>
            <if test="v23 != null">v23,</if>
            <if test="v24 != null">v24,</if>
            <if test="v25 != null">v25,</if>
            <if test="v26 != null">v26,</if>
            <if test="v27 != null">v27,</if>
            <if test="v28 != null">v28,</if>
            <if test="v29 != null">v29,</if>
            <if test="v30 != null">v30,</if>
            <if test="v31 != null">v31,</if>
            <if test="v32 != null">v32,</if>
            <if test="v33 != null">v33,</if>
            <if test="v34 != null">v34,</if>
            <if test="v35 != null">v35,</if>
            <if test="v36 != null">v36,</if>
            <if test="v37 != null">v37,</if>
            <if test="v38 != null">v38,</if>
            <if test="v39 != null">v39,</if>
            <if test="v40 != null">v40,</if>
            <if test="v41 != null">v41,</if>
            <if test="v42 != null">v42,</if>
            <if test="v43 != null">v43,</if>
            <if test="v44 != null">v44,</if>
            <if test="v45 != null">v45,</if>
            <if test="v46 != null">v46,</if>
            <if test="v47 != null">v47,</if>
            <if test="v48 != null">v48,</if>
            <if test="v49 != null">v49,</if>
            <if test="v50 != null">v50,</if>
            <if test="v51 != null">v51,</if>
            <if test="v52 != null">v52,</if>
            <if test="v53 != null">v53,</if>
            <if test="v54 != null">v54,</if>
            <if test="v55 != null">v55,</if>
            <if test="v56 != null">v56,</if>
            <if test="v57 != null">v57,</if>
            <if test="v58 != null">v58,</if>
            <if test="v59 != null">v59,</if>
            <if test="v60 != null">v60,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="year != null">#{year},</if>
            <if test="code != null">#{code},</if>
            <if test="regionName != null">#{regionName},</if>
            <if test="type != null">#{type},</if>
            <if test="v1 != null">#{v1},</if>
            <if test="v2 != null">#{v2},</if>
            <if test="v3 != null">#{v3},</if>
            <if test="v4 != null">#{v4},</if>
            <if test="v5 != null">#{v5},</if>
            <if test="v6 != null">#{v6},</if>
            <if test="v7 != null">#{v7},</if>
            <if test="v8 != null">#{v8},</if>
            <if test="v9 != null">#{v9},</if>
            <if test="v10 != null">#{v10},</if>
            <if test="v11 != null">#{v11},</if>
            <if test="v12 != null">#{v12},</if>
            <if test="v13 != null">#{v13},</if>
            <if test="v14 != null">#{v14},</if>
            <if test="v15 != null">#{v15},</if>
            <if test="v16 != null">#{v16},</if>
            <if test="v17 != null">#{v17},</if>
            <if test="v18 != null">#{v18},</if>
            <if test="v19 != null">#{v19},</if>
            <if test="v20 != null">#{v20},</if>
            <if test="v21 != null">#{v21},</if>
            <if test="v22 != null">#{v22},</if>
            <if test="v23 != null">#{v23},</if>
            <if test="v24 != null">#{v24},</if>
            <if test="v25 != null">#{v25},</if>
            <if test="v26 != null">#{v26},</if>
            <if test="v27 != null">#{v27},</if>
            <if test="v28 != null">#{v28},</if>
            <if test="v29 != null">#{v29},</if>
            <if test="v30 != null">#{v30},</if>
            <if test="v31 != null">#{v31},</if>
            <if test="v32 != null">#{v32},</if>
            <if test="v33 != null">#{v33},</if>
            <if test="v34 != null">#{v34},</if>
            <if test="v35 != null">#{v35},</if>
            <if test="v36 != null">#{v36},</if>
            <if test="v37 != null">#{v37},</if>
            <if test="v38 != null">#{v38},</if>
            <if test="v39 != null">#{v39},</if>
            <if test="v40 != null">#{v40},</if>
            <if test="v41 != null">#{v41},</if>
            <if test="v42 != null">#{v42},</if>
            <if test="v43 != null">#{v43},</if>
            <if test="v44 != null">#{v44},</if>
            <if test="v45 != null">#{v45},</if>
            <if test="v46 != null">#{v46},</if>
            <if test="v47 != null">#{v47},</if>
            <if test="v48 != null">#{v48},</if>
            <if test="v49 != null">#{v49},</if>
            <if test="v50 != null">#{v50},</if>
            <if test="v51 != null">#{v51},</if>
            <if test="v52 != null">#{v52},</if>
            <if test="v53 != null">#{v53},</if>
            <if test="v54 != null">#{v54},</if>
            <if test="v55 != null">#{v55},</if>
            <if test="v56 != null">#{v56},</if>
            <if test="v57 != null">#{v57},</if>
            <if test="v58 != null">#{v58},</if>
            <if test="v59 != null">#{v59},</if>
            <if test="v60 != null">#{v60},</if>
         </trim>
    </insert>

    <update id="updateUrValidShowData" parameterType="com.ruoyi.system.domain.UrValidShowData">
        update ur_valid_show_data
        <trim prefix="SET" suffixOverrides=",">
            <if test="year != null">year = #{year},</if>
            <if test="code != null">code = #{code},</if>
            <if test="regionName != null">region_name = #{regionName},</if>
            <if test="type != null">type = #{type},</if>
            <if test="v1 != null">v1 = #{v1},</if>
            <if test="v2 != null">v2 = #{v2},</if>
            <if test="v3 != null">v3 = #{v3},</if>
            <if test="v4 != null">v4 = #{v4},</if>
            <if test="v5 != null">v5 = #{v5},</if>
            <if test="v6 != null">v6 = #{v6},</if>
            <if test="v7 != null">v7 = #{v7},</if>
            <if test="v8 != null">v8 = #{v8},</if>
            <if test="v9 != null">v9 = #{v9},</if>
            <if test="v10 != null">v10 = #{v10},</if>
            <if test="v11 != null">v11 = #{v11},</if>
            <if test="v12 != null">v12 = #{v12},</if>
            <if test="v13 != null">v13 = #{v13},</if>
            <if test="v14 != null">v14 = #{v14},</if>
            <if test="v15 != null">v15 = #{v15},</if>
            <if test="v16 != null">v16 = #{v16},</if>
            <if test="v17 != null">v17 = #{v17},</if>
            <if test="v18 != null">v18 = #{v18},</if>
            <if test="v19 != null">v19 = #{v19},</if>
            <if test="v20 != null">v20 = #{v20},</if>
            <if test="v21 != null">v21 = #{v21},</if>
            <if test="v22 != null">v22 = #{v22},</if>
            <if test="v23 != null">v23 = #{v23},</if>
            <if test="v24 != null">v24 = #{v24},</if>
            <if test="v25 != null">v25 = #{v25},</if>
            <if test="v26 != null">v26 = #{v26},</if>
            <if test="v27 != null">v27 = #{v27},</if>
            <if test="v28 != null">v28 = #{v28},</if>
            <if test="v29 != null">v29 = #{v29},</if>
            <if test="v30 != null">v30 = #{v30},</if>
            <if test="v31 != null">v31 = #{v31},</if>
            <if test="v32 != null">v32 = #{v32},</if>
            <if test="v33 != null">v33 = #{v33},</if>
            <if test="v34 != null">v34 = #{v34},</if>
            <if test="v35 != null">v35 = #{v35},</if>
            <if test="v36 != null">v36 = #{v36},</if>
            <if test="v37 != null">v37 = #{v37},</if>
            <if test="v38 != null">v38 = #{v38},</if>
            <if test="v39 != null">v39 = #{v39},</if>
            <if test="v40 != null">v40 = #{v40},</if>
            <if test="v41 != null">v41 = #{v41},</if>
            <if test="v42 != null">v42 = #{v42},</if>
            <if test="v43 != null">v43 = #{v43},</if>
            <if test="v44 != null">v44 = #{v44},</if>
            <if test="v45 != null">v45 = #{v45},</if>
            <if test="v46 != null">v46 = #{v46},</if>
            <if test="v47 != null">v47 = #{v47},</if>
            <if test="v48 != null">v48 = #{v48},</if>
            <if test="v49 != null">v49 = #{v49},</if>
            <if test="v50 != null">v50 = #{v50},</if>
            <if test="v51 != null">v51 = #{v51},</if>
            <if test="v52 != null">v52 = #{v52},</if>
            <if test="v53 != null">v53 = #{v53},</if>
            <if test="v54 != null">v54 = #{v54},</if>
            <if test="v55 != null">v55 = #{v55},</if>
            <if test="v56 != null">v56 = #{v56},</if>
            <if test="v57 != null">v57 = #{v57},</if>
            <if test="v58 != null">v58 = #{v58},</if>
            <if test="v59 != null">v59 = #{v59},</if>
            <if test="v60 != null">v60 = #{v60},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteUrValidShowDataById" parameterType="java.lang.Long">
        delete from ur_valid_show_data where id = #{id}
    </delete>

    <delete id="deleteUrValidShowDataByIds" parameterType="java.lang.String">
        delete from ur_valid_show_data where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>

    <!-- 逻辑删除 -->
    <update id="setDeleteById">
        update ur_valid_show_data set delete_flag="Y",update_time=sysdate(),update_user_id=#{operId},update_user_name=#{operName} where id = #{id}
    </update>

    <!-- 逻辑删除 -->
    <update id="setDeleteByIds">
        update ur_valid_show_data set delete_flag="Y",update_time=sysdate(),update_user_id=#{operId},update_user_name=#{operName} where id in
        <foreach item="id" collection="ids" open="(" separator="," close=")">
            #{id}
        </foreach>
    </update>
</mapper>